Get an activity
GET
/activity/{activityId}
const url = 'https://apisandbox.puurk.com/activity/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://apisandbox.puurk.com/activity/example \ --header 'Authorization: Bearer <token>'Returns a single activity event
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”activityId
required
string
ID of the activity
Responses
Section titled “Responses”Successful operation
Media typeapplication/json
object
id
string
oid
Organization ID
string
eid
Employee/entity ID
string
client_id
Client (lead) ID
string
location_id
string
type
Type of activity notification
string
category
string
reference_id
ID of the referenced entity (offer, contract, payment, etc.)
string
timestamp
string format: date-time
uid
string
title
string
description
string
metadata
object
key
additional properties
any
related_uids
Array<string>
Example
{ "type": "offer_accepted", "category": "offer"}Unauthorized
Not found